<?php
/**
 * Active Callbacks
 *
 * @package interior_services
 */

// Theme Options.
function interior_services_is_pagination_enabled( $interior_services_control ) {
	return ( $interior_services_control->manager->get_setting( 'interior_services_enable_pagination' )->value() );
}
function interior_services_is_breadcrumb_enabled( $interior_services_control ) {
	return ( $interior_services_control->manager->get_setting( 'interior_services_enable_breadcrumb' )->value() );
}
function interior_services_is_layout_enabled( $interior_services_control ) {
	return ( $interior_services_control->manager->get_setting( 'interior_services_website_layout' )->value() );
}
function interior_services_is_pagetitle_bcakground_image_enabled( $interior_services_control ) {
	return ( $interior_services_control->manager->get_setting( 'interior_services_page_header_style' )->value() );
}
function interior_services_is_preloader_style( $interior_services_control ) {
	return ( $interior_services_control->manager->get_setting( 'interior_services_enable_preloader' )->value() );
}

// Header Options.
function interior_services_is_topbar_enabled( $interior_services_control ) {
	return ( $interior_services_control->manager->get_Setting( 'interior_services_enable_topbar' )->value() );
}

// Slider Slider Section.
function interior_services_is_slider_section_enabled( $interior_services_control ) {
	return ( $interior_services_control->manager->get_setting( 'interior_services_enable_slider_section' )->value() );
}
function interior_services_is_slider_slider_section_and_content_type_post_enabled( $interior_services_control ) {
	$interior_services_content_type = $interior_services_control->manager->get_setting( 'interior_services_slider_slider_content_type' )->value();
	return ( interior_services_is_slider_section_enabled( $interior_services_control ) && ( 'post' === $interior_services_content_type ) );
}
function interior_services_is_slider_slider_section_and_content_type_page_enabled( $interior_services_control ) {
	$interior_services_content_type = $interior_services_control->manager->get_setting( 'interior_services_slider_slider_content_type' )->value();
	return ( interior_services_is_slider_section_enabled( $interior_services_control ) && ( 'page' === $interior_services_content_type ) );
}

// Services section.
function interior_services_is_post_tab_section_and_content_type_page_enabled( $interior_services_control ) {
	$interior_services_content_type = $interior_services_control->manager->get_setting( 'interior_services_slider_slider_content_type' )->value();
	return ( interior_services_is_slider_section_enabled( $interior_services_control ) && ( 'page' === $interior_services_content_type ) );
}
function interior_services_is_post_tab_section_and_content_type_post_enabled( $interior_services_control ) {
	$interior_services_content_type = $interior_services_control->manager->get_setting( 'interior_services_slider_slider_content_type' )->value();
	return ( interior_services_is_slider_section_enabled( $interior_services_control ) && ( 'post' === $interior_services_content_type ) );
}
function interior_services_is_services_section_enabled( $interior_services_control ) {
	return ( $interior_services_control->manager->get_setting( 'interior_services_enable_services_section' )->value() );
}
function interior_services_is_services_section_and_content_type_post_enabled( $interior_services_control ) {
	$interior_services_content_type = $interior_services_control->manager->get_setting( 'interior_services_services_content_type' )->value();
	return ( interior_services_is_services_section_enabled( $interior_services_control ) && ( 'post' === $interior_services_content_type ) );
}
function interior_services_is_services_section_and_content_type_page_enabled( $interior_services_control ) {
	$interior_services_content_type = $interior_services_control->manager->get_setting( 'interior_services_services_content_type' )->value();
	return ( interior_services_is_services_section_enabled( $interior_services_control ) && ( 'page' === $interior_services_content_type ) );
}